/**
Software package to simulate the Tumour--Immune System interaction model
presented in the paper 

"Tumour suppression by Immune System through Stochastic Oscillations"

by G.Caravagna, A.d’Onofrio, P.Milazzo and R.Barbuti.
 
Copyright (C) 2010,  Giulio Caravagna [caravagn@di.unipi.it]

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
**/

package hsim;

public class SingleScenario
{
	public static void main(String[] args) throws Exception 
	{
	    /*
	      Program running a single stoch. simulation for the model
	      instantiated by using command-line parameteres. 
	     */
	    Model m = new Model(args);
	    System.out.println("Model used "+m);
	    
	    // do a single run
	    System.out.print("Simulating  ... ");
	    m.simulate();
	    System.out.println("OK\n---------");
			
	    // print output
	    for(int i = 0; i < m.outputTime.length; i++)
		{
		    System.out.print( m.outputTime[i]+"\t"+m.outputT[i]+"\t"+m.outputE[i]+"\t"+m.outputIL[i]+"\n");
		    
		}
	}
    
}
